# -*- encoding: utf-8 -*-
# stub: prometheus-collector 0.0.1 ruby lib

Gem::Specification.new do |s|
  s.name = "prometheus-collector".freeze
  s.version = "0.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Stuart Harland".freeze]
  s.date = "2021-12-30"
  s.description = "Application to gather prometheus style metrics\n\n# Usage\n\nInstall  the gem into your gemfile\n\n```gem prometheus-collector```\n\nInstall your gemset\n\n```bundle install```\n\nConsume the program.\n\n\n```\nrequire 'prometheus/collector'\n\nclass Guage < Prometheus::Collector::Extensions::Base\n  install\n\n  def run\n    # Do some things that would be collected in Prometheus::Client Objects\n  end\nend\n```\n\nMount the Prometheus::Collector::Application application, or start it from your app.rb\n\n```\nPrometheus::Collector::Application.start\n```\n\n# How it works\n\nThe collector app makes use of the Prometheus client collector and exporter middleware to allow you to write custom applications that export prometheus style metrics.\n\nIt is designed as a bare-bones scaffold to get you off the ground with a ruby applet to get some statistics.\n\nIt utilizes rack and its middleware.\n\nThe interface is fairly straightforward: Your Metric Executing code needs to extend Prometheus::Collector::Extensions::Base for 'repeatedly-runbable' operations and Prometheus::Collector::Extensions::Once for something that should only be executed Once.\n\nYour class should implement an instance level `run` function, and may optionally implement a class level `schedule` function: This must return a `cron` style string to tell the application when to invoke your `run` code. By default, `schedule` is set to `* * * * *` which would allow the code to be executed every minute.\n\n### Scheduling\nScheduling is implemented via em-cron. Thus the re-scheduling of a task should occur within the parameters of the `schedule` string but is evaluated upon completion. Thus in normal operation, the code should not execute more than one `run` of a given worker definition at a time.\n".freeze
  s.email = ["essjayhch@gmail.com".freeze]
  s.executables = ["prometheus-collector".freeze]
  s.files = ["bin/prometheus-collector".freeze]
  s.homepage = "https://github.com/essjayhch/prometheus-collector".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Scaffold to collect prometheus style metrics from an application via a RACK interface".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<prometheus-client>.freeze, ["> 0"])
    s.add_runtime_dependency(%q<puma>.freeze, ["> 0"])
    s.add_runtime_dependency(%q<rack>.freeze, ["> 0"])
    s.add_runtime_dependency(%q<register>.freeze, ["> 0"])
    s.add_runtime_dependency(%q<em-cron>.freeze, ["> 0"])
    s.add_development_dependency(%q<fileutils>.freeze, [">= 0"])
  else
    s.add_dependency(%q<prometheus-client>.freeze, ["> 0"])
    s.add_dependency(%q<puma>.freeze, ["> 0"])
    s.add_dependency(%q<rack>.freeze, ["> 0"])
    s.add_dependency(%q<register>.freeze, ["> 0"])
    s.add_dependency(%q<em-cron>.freeze, ["> 0"])
    s.add_dependency(%q<fileutils>.freeze, [">= 0"])
  end
end
